-- $Name: Штурмовик Времени$
-- $Version: 0.05$
-- $Author: Irremann$

require 'fmt' -- некоторые функции форматирования
fmt.para = true -- включить режим параграфов (отступы)
require 'noinv'
require 'snd'
require 'cutscene'

loadmod 'fading'

game.act = 'Не работает.';
game.use = 'Это не поможет.';
game.inv = 'Зачем мне это?';

function init()
	std.phrase_show = false
end;

local effects = {
	'crossfade',
	'fadeblack',
	'move_left',
	'move_right',
	'move_up',
	'move_down',
}
global 'effect' (1);

-------начало

main = room {
	nam = 'main';
	disp = 'На поле';
	onenter = function()
		snd.music 'snd/whalesvoyage2.ogg';
		p 'Я стоял у самолёта и просто смотрел на поле и в небо. Ветер трепал траву, но холодно не было. Курить тоже не хотелось. Иногда нападала такая лирика на душу, что хоть стихи сочиняй. Со стороны штаба показалось какое-то движение. По полю бежал самый младший из их штабной братии бумажек и чернил, как его, то ли Егор, то ли Иван. Не вспомню. Задыхаясь, он наконец добрался до меня.^-- Товарищ Орлов, вас срочно вызывают к капитану Васильеву!^После чего развернулся и рванул обратно. И что это было? Ну делать нечего. Надо топать в штаб.';
		take 'Зажигалка';
		take 'Папиросы';
	end;
	dsc = 'Я нахожусь на летном поле.';
	obj = {'Самолёт'};
	way = {'Штаб'};
};

dlg {
	nam = 'Штаб';
	onenter = function()
		p '-- Орлов? Заходи давай, не стой на пороге. Прошу знакомиться, это вот товарищи из Москвы: профессор Прототипов и сопровождающий его лейтенант Антишкин из НКВД.^^В штабной землянке находились мой комэск капитан Васильев, типичного научно-рассеянного вида гражданин в очках и типчик с неприятным выражением лица. В принципе сразу понятно кто есть кто. Профессор сразу протянул руку здороваться. А хватка то у него крепче, чем можно было бы подумать.';
	end;
	phr = {
		{'Испытания, товарищ капитан?', '-- Откуда у вас эта информация, товарищ Орлов? -- Сузил глаза чекист, -- На чью разведку работаете?^-- Успокойтесь, лейтенант. Орлов птица бывалая, в испытаниях уже не раз участвовал. -- Хохотнул комэск радуясь, что снова удалось ввернуть в разговор каламбур с моей фамилией. -- И новые самолеты облётывал и бомбы сбрасывал.',
			{'Так и есть, привлекался для испытаний новых модификаций...', function() p '-- Я читал ваше личное дело, сержант. Не трудитесь. -- Прервал меня Антишкин.^Вот это что такое сейчас было? Мне надо было задрожать и признаться во всех грехах?^-- Товарищи, давайте ближе к сути. Я планировал сегодня уже смонтировать оборудование и провести инструктаж. Идёмте на поле. -- Обстановку разрядил профессор.'; walk 'На поле'; end;};};
	};
	noinv = true;
};

room {
	nam = 'На поле';
	onenter = 'Васильев и Антишкин отстали по дороге и у самолета мы оказались вдвоем с профессором.^-- Предлагаю сразу по имени, -- обратился ко мне профессор и снова протянул руку, -- Трофим.^-- Сергей, -- ответил я и крепко пожал протянутую ладонь.^-- Итак, устройство состоит из трех основных частей. Генератор, эффектор, хм, антенна то есть и блок управления. Да, это не бомба. Нет, подробностей не будет. Всё засекречено.^После чего полез в кабину стрелка.';
	dsc = 'Мы находимся на летном поле.';
	obj = {'Самолёт', 'Профессор', 'Большой ящик', 'Ломик', 'Длинный ящик', 'Маленький ящик'};
};

obj {
	nam = 'Профессор';
	dsc = function(w)
		if seen('Большой ящик') or have 'Генератор' then
			p '{Профессор} что-то меряет раскладным метром в кабине стрелка.';
		elseif seen('Длинный ящик') or have 'Кабель' then
			p '{Профессор} осматривает крылья.';
		elseif seen('Маленький ящик') or have 'Блок' then
			p '{Профессор} что-то отвинчивает в кабине пилота.';
		else
			p '{Профессор} стоит возле самолёта.';
		end;
	end;
	act = function(w)
		if actions(w) == 0 then
			p '-- Почти влезает. Хм. -- Профессор с головой залез в кабину и чем-то там начал греметь.^-- Ага! Вот теперь влезет. -- И наружу полетело сиденье.';
		end;
		if seen('Большой ящик') or have 'Генератор' then
			p '-- Сергей, не стой. Распаковывай большой ящик, там генератор, тащи его сюда.';
		elseif seen('Длинный ящик') or have 'Кабель' then
			p '-- Отлично, тащи кабель из второго ящика к крыльям, поможешь прикручивать.';
		elseif seen('Маленький ящик') or have 'Блок' then
			p '-- Итак, почти всё готово. Тащите блок управления.';
		elseif not have 'Блок' then
			walk 'Разговор с профессором';
		end;
	end;
};

obj {
	nam = 'Большой ящик';
	dsc = 'Рядом лежит {большой ящик}.';
	act = 'Из под крышки ящика торчит солома.';
};

obj {
	nam = 'Ломик';
	dsc = 'На ящике лежит {ломик}.';
	tak = 'Я взял в руки ломик.';
	inv = fmt.imgl('pad:0 10 0 0,pics/crowbar.png')..'Обычный стальной ломик.';
	use = function(s, w)
		if w^'Большой ящик' then
			p 'Я поддел ломиком крышку и парой движений снял её. Внутри в куче соломы лежало какое-то устройство в цилиндрическом корпусе. С трудом я вытащил его наружу.';
			remove(w);
			take 'Генератор';
		elseif w^'Длинный ящик' then
			p 'Ломик пригодился только чтобы отжать одну из защёлок, которую заклинило намертво. Внутри оказался какой-то серебристый кабель.';
			remove(w);
			take 'Кабель';
		elseif w^'Маленький ящик' then
			p 'Внутри оказалась радиостанция РСИ-4. Хотя нет, не она. Что-то тумблеры какие-то лишние и подписи другие.';
			remove(w);
			take 'Блок';
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Генератор';
	inv = 'Из корпуса выпирает несколько дугообразных элементов, сверху находится монтажная коробка.';
	use = function(s, w)
		if w^'Самолёт' or w^'Профессор' then
			p 'Я дотащил устройство до самолёта, но дальше возникла проблема. Впрочем профессор поспешил мне на помощь и вдвоём мы затолкали эту штуку в кабину. Профессор тут же принялся прикручивать провода к контактам в монтажной коробке.';
			remove(s);
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Кабель';
	inv = 'Серебристый многожильный кабель из неизвестного мне сплава. Не может же быть чтобы из серебра? Сколько же он стоит тогда?';
	use = function(s, w)
		if w^'Самолёт' or w^'Профессор' then
			p 'Я донёс кабель до крыла и помогал придерживать, пока профессор затейливо восьмёрками скручивал его и привязывал к бомбодержателю. Кабеля оказалось два куска, на каждое крыло.';
			remove(s);
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Блок';
	inv = 'Сначала я принял этот блок за радиостанцию РСИ-4, но это точно не она. На ручке частоты значения проставлены до 100млн. А на ручке громкости написано "дистанция". Вместо гнезда наушников располагаются два тумблера.';
	use = function(s, w)
		if w^'Самолёт' or w^'Профессор' then
			p 'Профессор, когда-то успевший залезть в кабину, принял у меня эту "рацию" и вручил мне взамен штатную радиостанцию РСИ-4. Я покрутил её в руках и сунул в один из ящиков.';
			remove(s);
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Длинный ящик';
	dsc = 'Чуть далее лежит {длинный ящик}.';
	act = 'Судя по полустертой маркировке, раньше там лежали боеприпасы.';
};

obj {
	nam = 'Маленький ящик';
	dsc = 'И совсем {маленький ящик}.';
	act = 'А этот ящик похож на обычную почтовую посылку.';
};

dlg {
	nam = 'Разговор с профессором';
	onenter = '-- Ну что, Сергей. Наверное у тебя есть вопросы? Спрашивай, но я расскажу только то, что имею право рассказать. Итак, устройство генерирует некое поле сферического вида. Все попавшее в это поле для наблюдателя попросту исчезает.';
	phr = {
		{'В смысле исчезает?', '-- В прямом, только отверстие в земле и всё.'};
		{'Но зачем понадобился самолёт?', '-- Для запуска нужного физического эффекта скорость движения самой установки должна быть не менее 150км/ч. Это связано с квантовым... Впрочем это секретно.'};
		{'Как я буду выполнять задание без радио?', '-- Даже выключенная установка создаёт радиопомехи, а в активном состоянии радио будет совершенно бесполезно.'};
		{'И без стрелка?', '-- Да, это дополнительный риск, Сергей. Но придётся на него пойти. Ты лучший пилот из доступных и ты справишься.'};
		{'Какова моя цель? Надеюсь не Гитлера бомбить?', '-- Почти. Разведка доложила об обнаружении штаба группы армий Центр. Если удастся одним махом накрыть всех генералов, то вы сами понимаете, фашисты не смогут сражаться с полной эффективностью...',
			{'Да, я понял смысл. Расскажите лучше про эти ручки управления.', '-- Тут все несложно. На этой ручке выставляйте 1 млн, так нужно по условиям эксперимента, а дистанция отвечает за дальность фокуса формирования сферического поля переноса, хм. В общем пока максимум только 300 метров, радиус самого поля около 100м. Поэтому вам нужно будет пройти на бреющем прямо над целью...',
				{'Ночью, в одиночку, без стрелка, на минимальной высоте, прямо на зенитки? Всё я правильно понял?', function() p '-- Пойми Сергей, это шанс отправить Гудериана на тот свет, бомба тот бункер не возьмёт, а моя установка возьмёт... -- Начал было профессор, но потом осёкся, понял что над ним смеются. -- Да, ты всё правильно понял. Вылет вечером. Вводную получишь в штабе у Антишкина.'; walk 'На взлёт'; remove 'Ломик'; end;};};};
	};
	noinv = true;
};

cutscene {
	nam = 'На взлёт';
	decor = function()
		p 'Я успел ещё поспать, потом выпить кофе и сейчас сидя в самолёте чувствовал что всё получится. Не может не получиться. Привычно пощёлкал магнето, открыл топливный бак, закрыл воздушную заслонку, ручку газа на одну десятую, запуск! Подождал пока вода и масло прогреются, открыл воздушную заслонку и порулил на взлёт. Добавить газ, выпустить закрылки. Отрыв. Без бомбовой нагрузки взлетел как пушинка.^[cut Через некоторое время.]';
		p '[cls]';
		p 'Солнце наконец село и перестало светить прямо в фонарь. Ориентироваться конечно станет сложнее, но мне не привыкать, да и местность знакомая. Как ни странно в небе никого, хотя фронт по моим прикидкам я уже пересек.^[cut Ещё через некоторое время.]';
		p '[cls]';
		p 'Похоже меня не ждали. Особенно на высоте 50 метров. Я бы ещё и ниже пошел, но эти чертовы ёлки плохо видно ночью. Но приступ самодовольства быстро прошёл. Ну откуда же ты взялся, мессер дурацкий? До цели осталось пять минут лететь. Отстрелялся бы и дальше хоть пляши. Насел сзади! Как же не хватает бортстрелка то. Очередь простучала по крылу, одна из пуль рванула плечо и попала прямо в рацию. Чёрт, не рацию. Это же загадочная установка профессора! [cut Что-то заискрило в блоке управления.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Звезды на миг померкли и вновь засияли, но рассматривать их было некогда. Я набирал высоту, глупый фриц пытался следовать за мной, но он не знал что у него уже нет преимущества, мастеровые в Куйбышеве что-то поколдовали в движке, что дало значительный прирост мощности. В общем в результате маневра теперь я оказался в позиции для атаки. И со второй же очереди я удачно попал. Мессершмитт загорелся и полетел навстречу земле.^[cut Где же остальные фашисты?]';
		p '[cls]';
		p 'Пока мы тут крутились зенитчики давно должны были проснуться, впрочем какие зенитчики в море блестящем под лунными лучами? Местами виднелись темные пятна островов. На пару мгновений я потерялся. До ближайшего моря сотни километров, да и даже завалящего водохранилища тут рядом нет. В себя меня привел как ни странно снова мессер. Он рухнул на пляж одного из островов. Длинный покрытый плотным влажным песком пляж. Внезапно движок чихнул, потом ещё раз. Ну похоже выбора у меня не осталось, надо приземляться.^[cut После приземления.]';
		p '[cls]';
		p 'Я выбрался из кабины, достал папиросы и закурил. В ста метрах от меня начинался лес. И это был не прозрачный лес средней полосы и даже не ельник, а какие-то джунгли, Стволы перевитые лианами, какие-то перистые листья, как на пальмах и прочее сливалось в одну темную массу в лунном свете. Я плюнул на песок, залез в кабину и закемарил. До рассвета по моим часам оставалось еще два часа.^[cut На рассвете.]';
		p '[code walk "В кабине"]';
	end;
	noinv = true;
};

room {
	nam = 'В кабине';
	onenter = function()
		theme.gfx.bg('pics/bg.png;pics/ramforinh.png@20,440');
		if visits() == 1 then p 'Разбудил меня стук в плексиглас кабины. Долбилась весьма уродливая летучая мышь с зубастым клювом. На птеродактиля похож, или как его там, рамфоринха. Если хвост есть, значит рамфоринх. Если нет, то значит птеродактиль. Хвоста как назло видно не было.';
		end;
		take 'Инструкция';
		take 'ТТ';
		take 'Нож';
	end;
	dsc = 'Я нахожусь в кабине своего самолёта.';
	obj = {'Приборная доска', 'Рамфоринх'};
	way = {};
};

obj {
	nam = 'Зажигалка';
	inv = fmt.imgl('pad:0 10 0 0,pics/zippo.png')..'Потёртая ZIPPO выигранная в карты у какого-то лейтентика еще до войны. Служит верой и правдой.';
	use = function(s, w)
		if w^'Папиросы' then
			p 'Пока не хочется курить.';
		elseif w^'Плавник' then
			p 'Я уже было сложил костерок, но сначала задумался над тушкой. В итоге обмазал глиной и развел костер поверх. Вот и инструкция для росжига пригодилась. Конечно с одной стороны тушка подгорела, а с другой осталось сыроватой, а мясо жестковато. Но в принципе вполне съедобно.^А вот теперь можно и поразмышлять, рамфоринхи это примерно 150 миллионов лет назад, Юрский период. Шкала в устройстве была проградуирована до 100 млн. Значит что? Значит короткое замыкание при повреждении блока управления вывело устройство на какой-то критичный режим работы. Нужно осмотреть устройство поподробнее.';
			remove(w);
			remove('Рамфоринх');
			remove('Инструкция');
		elseif w^'Инструкция' then
			p 'Можно и сжечь, но пока не надо. Вдруг пригодится?';
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Папиросы';
	inv = fmt.imgl('pad:0 10 0 0,pics/belomor.png')..'Беломорканал, осталось полпачки.';
	use = function(s, w)
		if w^'Зажигалка' then
			p 'Пока не хочется курить.';
		elseif w^'Профессор' then
			p '-- О, спасибо. -- Профессор ловко вытащил одну папиросу из пачки, помял фильтр, прикурил и несколькими затяжками прикончил её. Ну силён, научный работник. -- А теперь за работу!';
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Инструкция';
	inv = fmt.imgl('pad:0 10 0 0,pics/instruction.png')..'Профессор зачем-то написал инструкцию к своему аппарату. Первая ручка на 1 млн, дистанцию на 300, потом щелкнуть первым тумблером, через пять секунд щелкнуть вторым тумблером. Впрочем похоже инструкция уже неактуальна. Скорость движения не менее 150км/ч.';
};

obj {
	nam = 'ТТ';
	inv = fmt.imgl('pad:0 10 0 0,pics/tt.png')..'Пистолет ТТ, он же "Тульский Токарева", калибр 7,62мм, магазин на 8 патронов.';
	use = function(s, w)
		if w^'Рамфоринх' and here()^'В кабине' then
			p 'Я откинул фонарь кабины и выстрелил в этого зубастика. Птичку откунуло на песок. Я вылез и подобрал тушку. Оказалось и правда рамфоринх. Так как с хвостом, с кисточкой. На курицу похож. Интересно, а на вкус? Да и если вспомнить, то последний раз кофе я пил больше десяти часов назад.^Ещё я сознательно отгонял от себя всякие мысли об устройстве и том где я все-таки оказался. Я смотрел на джунгли заросшие гигантскими папоротниками, хвощами и странными хвойными, араукарии вроде бы. Над головой хрипло крича кружились рамфоринхи. В море тоже кто-то плескался. С длинной шеей и зубастой головой. Да не, глупости всё это. Надо просто пожарить эту курицу и тогда всё придёт в порядок.';
			take(w);
			walk('На пляже');
		else p 'Не стоит тратить патроны просто так.';
		end;
	end;
};

obj {
	nam = 'Приборная доска';
	dsc = 'Передо мной {приборная доска} самолёта.';
	act = 'Кроме блока управления установки профессора ничего не пострадало. Пуля попала точно в блок. Даже крышку погнуло.';
};

obj {
	nam = 'Рамфоринх';
	dsc = 'В плексиглас снаружи бьётся {рамфоринх}.';
	act = 'Или все-таки мелкий птеродактиль. Зубастый клюв, кожистые перепонки и чахлая тушка покрытая каким-то пухом.';
	inv = 'Тушка оказалась легче, чем выглядит. Из-за пуха наверное.';
};

room {
	nam = 'На пляже';
	dsc = 'Я нахожусь на пляже.';
	obj = {'Самолёт', 'Плавник'};
	way = {path{'В самолёт', 'В кабине'}:disable(), path{'На север', 'Скала'}, path{'На юг', 'У мессершмитта'}, 'Джунгли'};
	onexit = function(s, w)
		if w^'Джунгли' then
			p 'Уже через десяток шагов пляж полностью скрылся из вида. Вокруг пищали, скрипели, трещали и издавали прочие звуки неизвестно кто. Может доисторические цикады с лягушками, а может и кто-то ещё. Потом вдали раздался громогласный рык и все эти музыканты замолкли. А через минуту снова заскрипели. Ну его к чёрту, я развернулся и по своим следам быстро выбрался обратно на пляж. Тут я хотя бы увижу неприятности раньше, чем они откусят мне голову.';
			return false;
		elseif w^'Скала' then
			p 'Через некоторое время я упёрся в высокие скалы полностью преграждающие путь. Пришлось возвращаться.';
			return false;
		end;
	end;
};

room {
	nam = 'Джунгли';
};

obj {
	nam = 'Плавник';
	dsc = 'По пляжу разбросаны куски {плавника}.';
	tak = 'Я собрал что было посуше. На костерок хватит.';
	inv = 'Это просто разномастные куски плавника.';
};

obj {
	nam = 'Самолёт';
	dsc = 'Рядом стоит мой {самолёт}.';
	act = function()
		if here()^'На пляже' and not have 'Рамфоринх' then
			p 'Оказалось что с двигателем всё в порядке. Просто пуля с мессера прошила топливный бак и вырвала кусок фибры из его оболочки, который в итоге застрял в топливном шланге. Ремонта на полминуты. Также я осмотрел устройство в кабине стрелка. Ой, ладно. Можно уже не обманывать себя. Машину времени в кабине стрелка. Хм, кабель оплавился и замкнул. В монтажной коробке же всё оказалось все достаточно очевидно. Дистанция, не нужна, можно закоротить. Первый тумблер вел к контакту подписанному "прогрев", второй к контакту "пуск". Еще один тумблер был прямо на корпусе устройства со стрелками "вниз" и "вверх". Усмехнувшись я переключил его на "вверх". Оставшиеся контакты были подключены к бортовой сети. А вот тут возникла проблема. Из оставшейся в наличии проводки не получится ничего сделать.';
		elseif here()^'На пляже' and have 'Рамфоринх' then
			p 'Самолёт выглядит целым, да и приземлился я удачно.';
		else
			p 'Это мой новый ИЛ-2, две пушки в крыльях ВЯ 23мм, два пулемёта ШКАС там же, бомбы не установлены, пулемёт стрелка так же не установлен. Впрочем неудивительно, так как самолёт я только считай получил и успел только раз на нём и вылететь в тестовый полёт. А прошлая моя машинка ушла то ли в ремонт, то ли запчасти, а стрелок в госпиталь, хорошо хоть жив остался. Не зря стрелки называют своё место "кабиной смерти".';
		end;
	end;
};

room {
	nam = 'Скала';
};

room {
	nam = 'У мессершмитта';
	onenter = 'Я ещё издали заметил тонкую струйку дыма. Примерно в этом районе упал подбитый мной мессер, поэтому дальше я шёл с ТТ наготове. Пляж к сожалению в этом районе оказался загромождён скальными выступами и обзор был крайне ограничен. Поэтому на мессершмитт я практически наткнулся носом.';
	dsc = 'Я нахожусь на пляже. Где-то на севере мой самолёт.';
	obj = {'Мессершмитт', 'Следы', 'Сапог'};
	way = {path{'На север', 'На пляже'}, path{'На юг', 'Скала'}, 'Джунгли'};
	onexit = function(s, w)
		if w^'Джунгли' then
			p 'Да тут фрица похоже сожрали прямо на месте, а мне вдруг захотелось идти в эти джунгли? Нет, не захотелось.';
			return false;
		elseif w^'Скала' then
			p 'Через некоторое время я упёрся в высокие скалы полностью преграждающие путь. Пришлось возвращаться.';
			return false;
		end;
	end;
};

obj {
	nam = 'Мессершмитт';
	dsc = 'На относительно ровном участке лежит {мессершмитт}.';
	act = 'Несмотря на вынужденную посадку самолёта и общее плачевное состояние кабина осталась целой. Фонарь открыт. Внутри кабины пусто. Дымится отдельно лежащее крыло.';
};

obj {
	nam = 'Нож';
	inv = fmt.imgl('pad:0 10 0 0,pics/nr-40.png')..'Нож разведчика - НР-40. Армейский боевой нож. Впрочем сало и хлеб он режет тоже неплохо.';
	use = function(s, w)
		if w^'Рамфоринх' and here()^'В кабине' then
			p 'Всё оказалось ещё проще чем казалось. Кур резать и то сложнее. Я открыл фонарь кабины и просто выпотрошил тварь. Оказалось и правда рамфоринх. Так как с хвостом, с кисточкой. Но мысли про кур вызвали внезапно чувство голода, да и если вспомнить, то последний раз кофе я пил больше десяти часов назад.^Ещё я сознательно отгонял от себя всякие мысли об устройстве и том где я все-таки оказался. Я смотрел на джунгли заросшие гигантскими папоротниками, хвощами и странными хвойными, араукарии вроде бы. Над головой хрипло крича кружились рамфоринхи. В море тоже кто-то плескался. С длинной шеей и зубастой головой. Да не, глупости всё это. Надо просто пожарить эту курицу и тогда всё придёт в порядок.';
			take(w);
			walk('На пляже');
		elseif w^'Приборная доска' then
			p 'С ножом я с некоторым трудом открыл погнутую крышку, но мне это ничего не дало. Просто перепутанные провода. Надо сначала всё это обдумать.';
		elseif w^'Мессершмитт' then
			p 'При помощи ножа я собрал несколько метров электропровода. Это мне пригодится при ремонте машины времени.';
			take 'Провода';
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Провода';
	inv = 'Пара метров электропровода в гибкой оболочке.';
	use = function(s, w)
		if w^'Самолёт' then
			p 'С трофейным проводом я сумел восстановить управление машиной времени. Без механика конечно развернуть самолёт оказалось тяжело, но меня подгоняло ощущение пристального взгляда из джунглей. Может конечно мне всё это только казалось, но в кабину я запрыгнул с большим облегчением.';
			walk('Назад в будущее');
			remove(s);
		else p 'Ничего не получится.';
		end;
	end;
};

obj {
	nam = 'Следы';
	dsc = 'Песок весь истоптан птичьми {следами}.';
	act = 'Вернее похожими на птичьи. Так как великоваты. Я с опаской ещё раз взглянул на джунгли.';
};

obj {
	nam = 'Сапог';
	dsc = 'Там же лежит {сапог}.';
	act = 'Я было взял в руки, но тут же с отвращением отбросил. Сапог оказался не пустым. И судя по ровному срезу на оставшейся части ноги в сапоге "птичка" была весьма крупной. Внезапно вспомнились изображения аллозавра в журнале "Вокруг Света". Похоже что фрица можно уже не искать. А самому ходить, да оглядываться.';
};

cutscene {
	nam = 'Назад в будущее';
	decor = function()
		p 'Итак зажигание, заслонка, всё как обычно. На взлёт. Пляж конечно не самый лучший аэродром, но я бывало взлетал в худших условиях. Отрыв. Из джунглей высунулась здоровенная зубастая голова и яростно зарычала. Ну что же прощайте доисторические зверюшки, не могу сказать что буду скучать. Внезапно подумалось что стоило захватить что-нибудь для Акадении наук, но вспомнился сапог и желание пропало. Набрав нужную скорость я [cut щёлкнул тумблером управления машиной времени.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Свет мигнул и солнце внезапно перенеслось по горизонту. А в панели управления что-то щёлкнуло и запахло дымом. Да и чёрт с ним. Главное я дома или нет? Я наклонил самолёт и обнаружил под собой только море и море. Из моря высунулась зубастая голова на длинной шее и проводила самолёт взглядом. Если динозавры ещё существуют, то машина выключилась слишком рано! Я скрестил пальцы и снова [cut щёлкнул тумблером.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Свет снова мигнул. В коробке управления снова затрещало короткое замыкание. Ремонтник из меня видимо так себе. Но что это? От горизонта шла сплошная чёрная стена шторма расцвеченная молниями. На земле же какие-то крупные животные стремительно бежали сквозь горящий лес. Я с трудом развернул самолёт и снова [cut переключил тумблер.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[code theme.gfx.bg("pics/bg.png");]]';
		p '[cls]';
		p 'Итак на этот раз подо мной что-то вроде степи с редкими рощицами акаций. Я снизился и спугнул целую стаю крупных нелетающих птиц. Очень крупных. Страусов точно трехметровых не бывает. Это похоже гасторнис или как-то так. И похоже я всё-таки так или иначе лечу назад в будущее. Летим дальше. [cut Щёлк!]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'По заснеженному полю бредёт стадо мамонтов. Чёрт возьми, так я промажу же мимо своего времени. Конечно интересно что там в будущем, но у меня боевое задание! Я должен вернуться в своё время! Я выкрутил первую ручку на панели на минимум и решительно снова [cut запустил машину времени.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Подо мной рыцари в доспехах штурмуют деревянную крепостицу. Поодаль стоят шатры с развевающимися над ними белыми флагами с чёрным крестом. Фрицы! Как есть фрицы, чёртовы тевтоны! Внезапно я вспомнил, что хоть бомб мне и не грузили, но шваки то заряжены и бросил самолёт вниз. На первом облёте я рассеял штурмующих, много фрицев осталось лежать на земле. Вторым облетом я расстрелял шатры и небольшую группу возле них. Рыцари ломанулись врассыпную в лес. Я расхохотался, наконец меня немного отпустило от этой истории с динозаврами. Внезапно в панели управления машиной времени ярко заискрило и [cut свет снова померк.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Впереди меня мессершмитт, я нажал на курок, но патроны в шваках видимо кончились на тевтонах. А потом я увидел что за мессершмиттом летит спитфайр, дальше снова немец фокке-вульф, а за ним Як. Что за чехарда? Як тащил прицепленное к нему длинное полотнище с надписью "100 лет великой победы". Я устало прикрыл глаза, я всё-таки промазал. Минимум на сто лет промазал. Но можно приземлиться и снова переключиться на задний ход? А пока я размышлял в кабине стрелка ярко полыхнуло и [cut мир опять погас.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Похоже что машину времени окончательно закоротило. Панель управления не работала, а промежутки между прыжками сократились до полуминуты. На земле строились здания из стекла, а потом снова появлялся лес. Иногда мимо пролетали стремительные сигарообразные аппараты. Я пытался приземлиться, но довольно сложно приземлиться, если сначала а земле поле, а через полминуты двадцатиэтажное здание, я с трудом увернулся и снова набрал высоту.^[cut Затемнение.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Всё чаще я стал встречать дирижабли заполненные людьми. Видимо в моих прыжках есть всё-таки какая-то периодичность и учёные её выяснили. Потом дирижабли пропали, а здания превратились в закопченные остовы заметённые снегом. Снега лежали долго, прыжков двадцать или больше. Новый ледниковый период или какой-то иной катаклизм? Остались ли вообще люди на земле? Машина почему-то еще работала, хотя у меня уже начала греться спинка сиденья.^[cut Затемнение.]';
		p '[code fading.set {"fadeblack", now = true, max = 32, delay = 25 }]';
		p '[cls]';
		p 'Не знаю сколько я так летел в будущее, сотни лет, тысячи. От усталости я прикрыл глаза. Как внезапно почуствовал толчок. Осмотревшись я обнаружил себя в светлозеленом пузыре. Рядом прямо в воздухе висела большая круглая платформа с людьми. Пузырь вместе с самолетом плавно опустился в центр платформы. Я заглушил двигатель и открыл фонарь. Пузырь с хлопком лопнул и я услышал треск огня в кабине стрелка и крики людей бросившихся ко мне. Я с трудом вылез и практически рухнул вниз. Меня ухватили сразу несколько человек и потащили прочь от самолёта и крайне вовремя. Самолёт вспыхнул и развалился на части.^[cut Примерно через месяц.]';
		p '[cls]';
		p 'Мне так и не смогли точно сказать сколько именно времени прошло. Летоисчисление от рождества Христова кануло в Лету. Неудивительно учитывая несколько мировых войн и ледниковый период. Даже язык сильно поменялся, мне понадобилось больше месяца чтобы освоить базовый курс. Люди расселились по всей солнечной системе, добывая ресурсы и приспосабливая планеты для человека. Для меня было немалым потрясением как-то вечером обнаружить восходящую Луну в дымке атмосферы, с синими морями и огнями городов по берегам. Секреты путешествий во времени так и остались секретами. Установка разрушилась полностью, а что случилось с профессором в далёком двадцатом веке остаётся только гадать.^Да и хотя я и не нашёл слова <Коммунизм> в словаре, но похоже вокруг был именно он, так как никаких денег люди будущего не использовали. А управлял всем <cовет>! Во всяком случае я именно так понял это слово. И именно к ним привели меня, когда я более менее научился разговаривать. [cut Я вошёл в круглый зал.]';
		p '[cls]';
		p '[code walk "Эпилог"]';
	end;
	noinv = true;
};

dlg {
	nam = 'Эпилог';
	onenter = 'Десять человек сидели за полукруглым столом. Во главе сидел седовласый старец с пронзительным взглядом.^-- Вы опытный пилот, Сергей Орлов?';
	phr = {
		{'Да, я летал на самолётах разных конструкций и совершил более сотни боевых вылетов...', '-- Это был не совсем вопрос. Мы знаем что вы очень опытный пилот. Вчера в результате тестирования вы набрали 124 балла из 100.^Я вспомнил игру, которую мне вчера включили, там надо было управлять летающей тарелочкой и стрелять в похожего на утюги противника. Было несложно.',
			{'Я думал это просто игрушка.', '-- Слушайте, Сергей. Ваш рейтинг социальной значимости достаточен, чтобы вообще больше ничего не делать. Информация полученная историками от вас бесценна. Не говоря уж о самом факте возможности путешествий во времени...',
				{'Вам нужен опытный пилот, товарищ командир?', '-- Да, смотрите. -- Старец развернулся на своем кресле и взмахнул рукой. Стена за ним потемнела и превратилась в экран. На фоне чёрного космоса висел Cатурн с его роскошными кольцами. А на фоне колец виднелись какие-то вспышки. Изображение стало быстро приближаться и я увидел, как огромные черные треугольные корабли выпускают красные лучи и сжигают станции в кольцах и небольшие белые диски, которые пытаются контратаковать противника.',
					{'Что это?', '-- Десять лет назад мы отправили экспедицию к одной из ближайших звезд. Два месяца назад появился Чёрный Флот. Они не вступают в переговоры, а просто уничтожают всё на своём пути. Разбомблены научные станции на Плутоне. Сожжены сборщики топлива на орбите Нептуна. Поселения на спутниках Урана были эвакуированы, но Чёрный Флот всё-равно разрушил купола. Через две недели они будут у Юпитера. Мы минируем подходы и эвакуируем население. А еще через месяц максимум они будут у Марса. Марс эвакуировать невозможно. Там живет почти четверть населения Ойкумены. Мы создавали корабли различного типа. Лучше всего себя показали манёвренные такшипы, которые могут легко уворачиваться от тяжелых излучателей и проникать сквозь силовые поля противника. Но потери просто ужасают. У наших пилотов совершенно нет боевого опыта. Симуляторы несовершенны..',
						{'Если вам нужен пилот, то я готов служить...', function() p 'Старик переглянулся с другими членами совета. Симпатичная женщина мягко сказала:^-- Мы не можем приказывать, мы можем только просить. Но если вы согласны, то мы назначаем вас главнокомандующим флотом. Марсианский университет и 20 тысяч лучших пилотов ждут вас для передачи вашего бесценного боевого опыта. У вас примерно полтора месяца для подготовки первого истребительного полка. Вы наша последняя надежда!'; walk 'Титры'; end;};};};};};
	};
	noinv = true;
};

room {
	nam = 'Титры';
	onenter = function()
		theme.gfx.bg('pics/bg.png;pics/ramforinh.png@20,440');
	end;
	noinv = true;
	dsc = 'Этот кинетический рассказ написан специально для ЗОК2021. Надеюсь вам понравилось. Спасибо за прохождение.^^Irremann 02.02.2021';
};

